=== Exceptions

Blocks in an `if` chain that contain a single line of code are ignored.

[source,python]
----
if 0 <= a < 10:
    do_first()
elif 10 <= a < 20:
    do_the_other_thing()
elif 20 <= a < 50:
    do_first()         # no issue, usually this is done on purpose to increase the readability
----

But this exception does not apply to `if` chains without `else`-s when all branches have the same single line of code. In the case of `if` chains with `else`-s rule S3923 raises a bug. 

[source,python]
----
if 0 <= a < 10:
    do_first()
elif 20 <= a < 50:
    do_first()         # Noncompliant, this might have been done on purpose but probably not
----